package com.friday.custody.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.friday.custody.entity.IjsxiRobotMqEntity;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * 机器人调用队列
 * 
 * @author K0051745
 * @email sunlightcs@gmail.com
 * @date 2022-09-22 09:32:07
 */
@Mapper
public interface IjsxiRobotMqDao extends BaseMapper<IjsxiRobotMqEntity> {

    IjsxiRobotMqEntity selectInfoByAdmin(String admin);

    IjsxiRobotMqEntity selectInfoByAdminNull();

    void updateRobitStatusAndResultWithLoginError(@Param("result") String result, @Param("status") String status, @Param("id") String id);

    void updateRobitStatus(@Param("status") String status, @Param("id") String id);

    void updateRobitStatusAndResult(@Param("result") String result, @Param("status") String status, @Param("id") String id);

    IjsxiRobotMqEntity getPrepareRobotMqInfo();

    void updateReadStatus(String status, String id);

    void updateRobotStatus(String status, String id);

    void updateRunningRobotTimeOut();

    void insertMq(IjsxiRobotMqEntity robotMqEntity);

    String selectProStatus(String admin, String fundCode);
}
